using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a skeletal corpse" )]
	public class BoneMagi : BaseCreature
	{
		[Constructable]
		public BoneMagi() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a bone magi";
			Body = Utility.RandomList ( 74, 332, 121 );
			BaseSoundID = 451;
			Clan = Clan.Undead;

			SetStr( 176, 200 );
			SetDex( 156, 175 );
			SetInt( 286, 310 );

			SetHits( 90, 120 );

			SetDamage( 7, 12 );

			SetSkill( SkillName.Concentration, 80.1, 90.0 );
			SetSkill( SkillName.Magery, 80.1, 90.0 );
			SetSkill( SkillName.MagicResist, 75.1, 90.0 );
			SetSkill( SkillName.Tactics, 65.1, 80.0 );
			SetSkill( SkillName.HandToHand, 65.1, 75.0 );

			Fame = 6000;
			Karma = -6000;

			VirtualArmor = 38;

			PackReg( 6, 20 );
			PackItem( new Bone( Utility.RandomList(1,1,2,3) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.LowScrolls );
			AddLoot( LootPack.MedPotions );
		}
		
		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }

		public BoneMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}